<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>Debug (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/doclets/debug/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/doclets/debug/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/doclets/debug/debug.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Doclets\Debug\Debug</div>
<a href="../../../source/doclets/debug/debug.php.html#line26" class="location">doclets/debug/debug.php at line 26</a>

<h1>Class Debug</h1>

<pre class="tree"><a href="../../../phpdoctor/doclets/doclet.html">Doclet</a><br>    └─<strong>Debug</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>Debug</strong><br>extends <a href="../../../phpdoctor/doclets/doclet.html">Doclet</a>

</p>

<div class="comment" id="overview_description"><p>The debugging doclet. This doclet outputs all the parsed data in a format
suitable for debugging PHPDoctor.</p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#depth">$depth</a></p><p class="description">The depth of processing through the element hierarchy.</p></td>
</tr>
</table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(<a href="../../../phpdoctor/rootdoc.html">RootDoc</a> rootDoc, <a href="../../../phpdoctor/formatters/textformatter.html">TextFormatter</a> formatter)</p><p class="description">Doclet constructor.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#classDoc()">classDoc</a>(<a href="../../../phpdoctor/classdoc.html">ClassDoc</a> classes)</p><p class="description">Output classDoc</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#constructorDoc()">constructorDoc</a>(ConstructorDoc constructor)</p><p class="description">Output constructorDoc</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#docComment()">docComment</a>(mixed programElement)</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#fieldDoc()">fieldDoc</a>(<a href="../../../phpdoctor/fielddoc.html">FieldDoc</a> fields, bool showAccess)</p><p class="description">Output fieldDoc</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#methodDoc()">methodDoc</a>(<a href="../../../phpdoctor/methoddoc.html">MethodDoc</a> methods)</p><p class="description">Output methodDoc</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#showDepth()">showDepth</a>()</p><p class="description">Return the depth indicator string</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doclets\Doclet</th></tr>
<tr><td><a href="../../../phpdoctor/doclets/doclet.html#asCode()">asCode</a>, <a href="../../../phpdoctor/doclets/doclet.html#formatLink()">formatLink</a></td></tr></table>

<h2 id="detail_field">Field Detail</h2>
<a href="../../../source/doclets/debug/debug.php.html#line33" class="location">doclets/debug/debug.php at line 33</a>

<h3 id="depth">depth</h3>
<code class="signature">public  int <strong>$depth</strong> = 0</code>
<div class="details">
<p>The depth of processing through the element hierarchy.</p></div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/doclets/debug/debug.php.html#line40" class="location">doclets/debug/debug.php at line 40</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(<a href="../../../phpdoctor/rootdoc.html">RootDoc</a> rootDoc, <a href="../../../phpdoctor/formatters/textformatter.html">TextFormatter</a> formatter)</code>
<div class="details">
<p>Doclet constructor.</p></div>

<hr>

<a href="../../../source/doclets/debug/debug.php.html#line152" class="location">doclets/debug/debug.php at line 152</a>

<h3 id="classDoc()">classDoc</h3>
<code class="signature">public  void <strong>classDoc</strong>(<a href="../../../phpdoctor/classdoc.html">ClassDoc</a> classes)</code>
<div class="details">
<p>Output classDoc</p></div>

<hr>

<a href="../../../source/doclets/debug/debug.php.html#line135" class="location">doclets/debug/debug.php at line 135</a>

<h3 id="constructorDoc()">constructorDoc</h3>
<code class="signature">public  void <strong>constructorDoc</strong>(ConstructorDoc constructor)</code>
<div class="details">
<p>Output constructorDoc</p></div>

<hr>

<a href="../../../source/doclets/debug/debug.php.html#line190" class="location">doclets/debug/debug.php at line 190</a>

<h3 id="docComment()">docComment</h3>
<code class="signature">public  void <strong>docComment</strong>(mixed programElement)</code>
<div class="details">
</div>

<hr>

<a href="../../../source/doclets/debug/debug.php.html#line70" class="location">doclets/debug/debug.php at line 70</a>

<h3 id="fieldDoc()">fieldDoc</h3>
<code class="signature">public  void <strong>fieldDoc</strong>(<a href="../../../phpdoctor/fielddoc.html">FieldDoc</a> fields, bool showAccess)</code>
<div class="details">
<p>Output fieldDoc</p></div>

<hr>

<a href="../../../source/doclets/debug/debug.php.html#line97" class="location">doclets/debug/debug.php at line 97</a>

<h3 id="methodDoc()">methodDoc</h3>
<code class="signature">public  void <strong>methodDoc</strong>(<a href="../../../phpdoctor/methoddoc.html">MethodDoc</a> methods)</code>
<div class="details">
<p>Output methodDoc</p></div>

<hr>

<a href="../../../source/doclets/debug/debug.php.html#line61" class="location">doclets/debug/debug.php at line 61</a>

<h3 id="showDepth()">showDepth</h3>
<code class="signature">public  str <strong>showDepth</strong>()</code>
<div class="details">
<p>Return the depth indicator string</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/doclets/debug/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/doclets/debug/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/doclets/debug/debug.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>